PYBIK(6)

NAME
Pybik - Rubik's cube game

SYNOPSIS
pybik.py [options]

DESCRIPTION
Pybik is a 3D puzzle game about the cube invented by Erno Rubik. * Different 3D puzzles - up to 10x10x10:

    cubes, towers, bricks, tetrahedra and prisms

* Solvers for some puzzles * Pretty patterns * Editor for move sequences * Changeable colors and images

Pybik can be fully controlled and configured via the graphical user interface. The options listed here are intended primarily for testing and debugging.

OPTIONS

-h, --help
    Show help message and exit

--version
    Show version number and exit

--config-file=C
    Specify the configuration filename

--defaultconfig
    Print default settings to stdout and exit

--games-file=G
    Specify the filename for saved games

--log
    Write logfile

--list-tests
    List tests

--test
    Run all tests

--test=T
    Run test T, can be used multiple times, use T=n where n is a number to run test T multiple times

--test-args=T
    T is a comma-separated list of test arguments: write-y write-yes write-n write-no write-e write-error log-widgets notime

--debug=D
    D is a comma-separated list of debug flags: alg draw fps func indexonly invisible keys liveplugins liveshader log logdebug loggl mousepos msg nobevel nofshader nolabel noshader novshader pick purepython rand rotate shader vfps

Qt-Options, for a full list refer to the Qt-Reference, but not all options make sense for this application:

-qwindowgeometry G, -geometry G
    Specifies window geometry for the main window using the X11-syntax. For example: 100x100+50+50

-reverse
    Sets the application layout direction to left-to-right

-widgetcount
    Prints debug message at the end about number of widgets left undestroyed and maximum number of widgets existed at the same time

COPYRIGHT
Copyright © 2009-2015, B. Clausius

This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program. If not, see <http://www.gnu.org/licenses/>.